<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:37:08 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.languages.java.reverse.umlparser Class Hierarchy (org.eclipse.papyrus.designer.languages.java.reverse 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.languages.java.reverse.umlparser Class Hierarchy (org.eclipse.papyrus.designer.languages.java.reverse 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/jdt/package-tree.html">Prev</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/utils/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/umlparser/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.eclipse.papyrus.designer.languages.java.reverse.umlparser</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">java.util.<a href="http://docs.oracle.com/javase/8/docs/api/java/util/AbstractCollection.html?is-external=true" title="class or interface in java.util"><span class="typeNameLink">AbstractCollection</span></a>&lt;E&gt; (implements java.util.<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;E&gt;)
<ul>
<li type="circle">java.util.<a href="http://docs.oracle.com/javase/8/docs/api/java/util/AbstractList.html?is-external=true" title="class or interface in java.util"><span class="typeNameLink">AbstractList</span></a>&lt;E&gt; (implements java.util.<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;E&gt;)
<ul>
<li type="circle">java.util.<a href="http://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util"><span class="typeNameLink">ArrayList</span></a>&lt;E&gt; (implements java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, java.util.<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;E&gt;, java.util.<a href="http://docs.oracle.com/javase/8/docs/api/java/util/RandomAccess.html?is-external=true" title="class or interface in java.util">RandomAccess</a>, java.io.<a href="http://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/QualifiedName.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">QualifiedName</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/ClassifierCatalog.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">ClassifierCatalog</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/CompilationUnitAnalyser.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">CompilationUnitAnalyser</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/CompilationUnitAnalyser.TypeData.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">CompilationUnitAnalyser.TypeData</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/CreationPackageCatalog.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">CreationPackageCatalog</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/CreationPackageCatalog.CreationPattern.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">CreationPackageCatalog.CreationPattern</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/CuPrinter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">CuPrinter</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/GenericSwitchVisitor.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">GenericSwitchVisitor</span></a>&lt;R,A&gt; (implements org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor">GenericVisitor</a>&lt;R,A&gt;)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/GenericTransformer.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">GenericTransformer</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/ImportedTypeCatalog.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">ImportedTypeCatalog</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/ModelManager.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">ModelManager</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/SwitchVisitor.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">SwitchVisitor</span></a>&lt;A&gt; (implements org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/VoidVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor">VoidVisitor</a>&lt;A&gt;)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyser.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">TypeAnalyser</span></a>
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">TypeAnalyserAndTranslator</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyser.TypeData.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">TypeAnalyser.TypeData</span></a>
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeAnalyserAndTranslator.TranslatedTypeData.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">TypeAnalyserAndTranslator.TranslatedTypeData</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/TypeResolver.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">TypeResolver</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/UmlParser.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">UmlParser</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/UmlUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">UmlUtils</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/VoidVisitorAdapter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor"><span class="typeNameLink">VoidVisitorAdapter</span></a>&lt;A&gt; (implements org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/VoidVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor">VoidVisitor</a>&lt;A&gt;)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/CompilationUnitAnalyser.CreatePackage.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">CompilationUnitAnalyser.CreatePackage</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.reverse.umlparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/CompilationUnitAnalyser.QualifiedNameParser.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.umlparser"><span class="typeNameLink">CompilationUnitAnalyser.QualifiedNameParser</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/jdt/package-tree.html">Prev</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/utils/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/umlparser/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
